React

The Fastest React Task Scheduler

Bryntum React Scheduler is packed with all the features you need, lightning-fast performance, and easy integration with new or existing applications and any backend technology.

Strategy and Business Rules Setup Web Server Website Design Test Strategy Implementation

Get Started With Clear Documentation

Feature-Rich Scheduling Library for React

Bryntum React Scheduler supports a range of essential scheduling features to improve efficiency and productivity.

  • Drag-and-drop resizing
  • Event editor
  • Keyboard navigation
  • Export to PDF, PNG, and Excel
  • Render JSX components in events and cells
  • Drag and drop events from an external grid

React Scheduling Component Code Example

 

Set up Bryntum Scheduler using React in just a few lines of code.

import { BryntumScheduler } from "@bryntum/scheduler-react";
import "./App.css";

function App() {
  return (
    <BryntumScheduler
      viewPreset="hourAndDay"
      startDate={new Date(2024, 2, 20, 6)}
      endDate={new Date(2024, 2, 20, 20)}
    />
  );
}

export default App;

Excellent Scheduling Performance

Highly performant and responsive even with large data sets, the Bryntum React Scheduler features a combination of performance optimization techniques: 

  • Virtual rendering
  • Minimal DOM footprint
  • Extensive element reuse

Effortless Redux Toolkit Integration

Bryntum React Scheduler easily integrates with Redux for state management and has a highly efficient rendering engine for excellent scrolling and rescheduling performance – even with large data sets.

Reuse Components and Simplify Syntax With JSX

The Bryntum React Scheduler offers seamless integration with JSX, supporting both inline JSX and JSX in custom React components. Keep conditional logic and markup together and ensure they stay in sync. 

Use JSX in React components to create cell-editing elements, elegant event bars, tooltips, and widgets for your Bryntum React Scheduler.

But JSX isn’t a requirement. Our Bryntum renderer efficiently implements conditional logic and outputs visually rich cell content.

Stunning Out-the-Box Themes for React Task Scheduler

Bryntum React Scheduler ships with five visually appealing themes that are ready to go.

Render Custom Content and Style Event Bars

Change anything on the fly with Bryntum React Scheduler. The extensive and reactive Bryntum API makes rendering custom HTML into event bars quick and easy. 

View our demo for inspiration on customizing your Bryntum React Scheduler with event progress bars, menu icons, and resource avatars.

Smooth and Intuitive Experience 

The Bryntum React Scheduler delivers a smooth and intuitive experience for both developers and users. Easily add animations that users enjoy using with the Bryntum React Scheduler component.

Drag Unplanned Tasks From a Grid

Combine the Scheduler with the Grid to show unplanned tasks and drag them onto the schedule.

Quickstart video tutorial

Step-by-step guidance to get your project up and running and integrate the feature-rich Bryntum Scheduler into your React application.

Trusted by the world’s leading companies

Ready to get started?

Vue

The Fastest Vue Scheduler

Bryntum Vue Scheduler is packed with all the features you need, lightning-fast performance, and easy integration with new or existing applications and any backend technology.

Strategy and Business Rules Setup Web Server Website Design Test Strategy Implementation

Get Started With Bryntum Scheduler for Vue

Feature-Rich Vue Scheduling Library

Bryntum Vue Scheduler supports a range of essential scheduling features to improve efficiency and productivity.

  • Drag-and-drop resizing
  • Event editor
  • Keyboard navigation
  • Export to PDF, PNG, and Excel
  • Drag and drop events from an external grid
  • Render components in events and cells

Vue Scheduler Code Example

 

The following code example shows the setup for a Bryntum Vue Scheduler component in App.vue that uses a CRUD manager to load data.

<script setup>
import '@bryntum/scheduler'
import { BryntumScheduler } from '@bryntum/scheduler-vue-3'
import '@bryntum/scheduler/scheduler.material.css'

const crudManagerConfig = {
    loadUrl: 'data/data.json',
    autoLoad: true
};
</script>

<template>
    <bryntum-scheduler
        :crud-manager="crudManagerConfig"
        :width="800"
        :height="600"
        start-date="2023-04-16"
        end-date="2023-05-15"
    ></bryntum-scheduler>
</template>

<style>

</style>

Excellent Scheduling Performance

Highly performant and responsive even with large data sets, the Bryntum Vue Scheduler features a combination of performance optimization techniques: 

  • Virtual rendering
  • Minimal DOM footprint
  • Extensive element reuse

Dynamic Rendering With Vue Template Syntax 

Render custom columns, headers, and tooltips using Vue components in the Bryntum Vue Scheduler. Easily use Vue HTML-based template syntax in components and keep rendering logic and markup in sync.

The Most Versatile Task Scheduling Library for Vue

 

Effortlessly handle simple to complex scheduling scenarios with Bryntum Vue Scheduler and improve your users’ productivity. Organize tasks in a tree structure, display event dependencies, and more!

Render Custom Content and Style Event Bars

Change anything on the fly with Bryntum Vue Scheduler. The extensive and reactive Bryntum API makes rendering custom HTML into event bars quick and easy. 

View our demo for inspiration on customizing your Bryntum Vue Scheduler with event progress bars, menu icons, and resource avatars.

Smooth and Intuitive Experience

The Bryntum Vue Scheduler delivers a smooth and intuitive experience for both developers and users. Easily add animations that users enjoy using with the Bryntum Vue Scheduler component.

Drag Unplanned Tasks From a Grid

Combine the Scheduler with the Grid to show unplanned tasks and drag them onto the schedule.

Quickstart video tutorial

Step-by-step guidance to get your project up and running and integrate the feature-rich Bryntum Scheduler into your Vue application.

Trusted by the world’s leading companies

Ready to get started?